Subject: Re: [bitcoindev] Demonstrating Pinning Attacks under Real-World Conditions

From: Antoine Riard <[email-masked]>
Date: Tue, 3 Sep 2024 21:12:47 +0100

> That also happens to be my Alice OpenTimestamps calendar, in production,
so
> please don't do anything you expect to be CPU or RAM intensive. But if you
> accidentally take down the server, not the end of the world: OTS is a very
> redundant protocol and one calendar going down for a few hours is
unlikely to
> do any harm.
>
> It has about $400 of outgoing capacity at the moment, and $2000 inbound.
It
> gets hardly any donations at the moment, so if you manage to knock LND
offline
> that's no big deal.
>
> That's not my money - it's donations to the OTS calendars that I have no
right
> to spend - so I'll ask you to pay for any expenses incurred by it during
> testing, and make a $100 net donation when you're done testing to make it
> worthwhile for the OTS community. If you manage to lose more than that on
> justice transactions, I'll consider that a donation. :)

Many thanks Peter for that.

No worries, I won't play with CPU or RAM, it's just all the
transaction-relay
and mempool logic that one can interfere with. I'll make you whole of the
$2400
if the LND node goes down too hard, though I'm just looking for a node
running
on mainnet, for a pinning the attacker has two open to channels and
re-balance
the liquidity at its advantage a bit. I'll provide the liquidity by myself.

If you have an on-chain donation address on the OTS website (?), I'll make a
$100 donation now, it's a nice tool. And for the justice transaction...well
for some scenarios you can use the latest valid commitment state to pin no
risk
of being slashed by a justice transaction.

Best,
Antoine
ots hash: 19d9b61ed5238e2922205a0a0194e0830b260a691f45b4189b1d145f72c9e031

Le mar. 3 sept. 2024 à 13:58, Peter Todd <[email-masked]> a écrit :

> On Tue, Aug 27, 2024 at 02:10:15PM -0700, Antoine Riard wrote:
> > My utmost pleasure to demonstrate some pinning attacks on nodes under
> > real-world conditions.
>
> Antoine Riard: until Oct 1st, you have permission to test your attacks
> against
> my Lightning node running at:
>
>
> 02[email-masked]:9735
>
> That also happens to be my Alice OpenTimestamps calendar, in production, so
> please don't do anything you expect to be CPU or RAM intensive. But if you
> accidentally take down the server, not the end of the world: OTS is a very
> redundant protocol and one calendar going down for a few hours is unlikely
> to
> do any harm.
>
> It has about $400 of outgoing capacity at the moment, and $2000 inbound. It
> gets hardly any donations at the moment, so if you manage to knock LND
> offline
> that's no big deal.
>
> That's not my money - it's donations to the OTS calendars that I have no
> right
> to spend - so I'll ask you to pay for any expenses incurred by it during
> testing, and make a $100 net donation when you're done testing to make it
> worthwhile for the OTS community. If you manage to lose more than that on
> justice transactions, I'll consider that a donation. :)
>
> --
> https://petertodd.org 'peter'[:-1]@petertodd.org
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion on the web visit https://groups.google.com/d/msgid/bitcoindev/CALZpt%2BEM1ysYErpGneuP_d%2BMjhQcaG7d2_EtRm2WYGFfLYuBsA%40mail.gmail.com.